Create an invoice adjustment

Creates an invoice adjustment — such as a bonus, commission, VAT percentage, or deduction — against a contract. Pass the recurring query parameter to apply the adjustment automatically to future invoices. Token scopes: invoice-adjustments:write, worker:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

recurringstringOptional
Add this invoice adjustment as recurring

Request

InvoiceAdjustment object that needs to be created
dataobjectRequired
Payload attributes required to create one invoice adjustment with optional approval, preset, and grouping metadata.

Response

Successful operation.
dataobject
Container object with identifiers, status, and creation metadata for the newly created invoice adjustment.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error